Bug 800693 - Cannot update gperftools because of redis
Cannot update gperftools because of redis
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redis (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Silas Sewell
Fedora Extras Quality Assurance
:
: 800627 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 18:48 EST by javierwilson
Modified: 2012-08-07 14:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:35:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description javierwilson 2012-03-06 18:48:11 EST
Description of problem:
Similar to #791150, cannot update google-perftools-libs-1.9.1-1.fc15.x86_64 to gperftools-libs-2.0-4.fc15.x86_64 because it says: Not found.


Version-Release number of selected component (if applicable):
I have redis-2.2.5-1.fc15.x86_64
and google-perftools-libs-1.9.1-1.fc15.x86_64

How reproducible:

everytime

Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * fedora: fedora.mirror.lstn.net
 * updates: mirror.hiwaay.net
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package google-perftools-libs.x86_64 0:1.9.1-1.fc15 will be obsoleted
--> Processing Dependency: libtcmalloc.so.0()(64bit) for package: redis-2.2.5-1.fc15.x86_64
Package google-perftools is obsoleted by pprof, but obsoleting package does not provide for requirements
---> Package gperftools-libs.x86_64 0:2.0-4.fc15 will be obsoleting
--> Finished Dependency Resolution
Error: Package: redis-2.2.5-1.fc15.x86_64 (@fedora)
           Requires: libtcmalloc.so.0()(64bit)
           Removing: google-perftools-libs-1.9.1-1.fc15.x86_64 (@updates)
               libtcmalloc.so.0()(64bit)
           Obsoleted By: gperftools-libs-2.0-4.fc15.x86_64 (updates)
               Not found
           Available: google-perftools-1.7-1.fc15.x86_64 (fedora)
               libtcmalloc.so.0()(64bit)
           Available: google-perftools-1.9.1-1.fc15.x86_64 (updates)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Expected results:
everything gets updated and everybody is happy.

Additional info:
Comment 1 javierwilson 2012-03-08 21:34:24 EST
I think this is a duplicate of bug 800627
Comment 2 Fabian Deutsch 2012-03-09 02:53:07 EST
*** Bug 800627 has been marked as a duplicate of this bug. ***
Comment 3 Fabian Deutsch 2012-03-09 03:36:41 EST
Good catch.
In F15 google-perftools were renamed to gperftools, maybe it's enough to change those deps.
Comment 4 Fedora End Of Life 2012-08-07 14:35:27 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.